import 'package:sport/bean/rank_game_info.dart';
import 'package:sport/bean/user.dart';

class AchieveDetailInfo {
  int result;
  int code;
  String msg;
  AchieveDetailInfoData data;

  AchieveDetailInfo({this.result, this.code, this.msg, this.data});

  AchieveDetailInfo.fromJson(Map<String, dynamic> json) {
    result = json['result'];
    code = json['code'];
    msg = json['msg'];
    data = json['data'] != null ? new AchieveDetailInfoData.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['result'] = this.result;
    data['code'] = this.code;
    data['msg'] = this.msg;
    if (this.data != null) {
      data['data'] = this.data.toJson();
    }
    return data;
  }
}

class AchieveDetailInfoData {
  int id;
  String name;
  String logo;
  int conditionDuration;
  int sort;
  int seriesId;
  int rewardScore;
  List<Achievement> relateAchivements;
  String position;
  String createdAt;

  AchieveDetailInfoData(
      {this.id,
        this.name,
        this.logo,
        this.conditionDuration,
        this.sort,
        this.seriesId,
        this.rewardScore,
        this.relateAchivements,
        this.position,
        this.createdAt});

  AchieveDetailInfoData.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    logo = json['logo'];
    conditionDuration = json['condition_duration'];
    sort = json['sort'];
    seriesId = json['series_id'];
    rewardScore = json['reward_score'];
    if (json['relate_achivements'] != null) {
      relateAchivements = new List<Achievement>();
      json['relate_achivements'].forEach((v) {
        relateAchivements.add(new Achievement.fromJson(v));
      });
    }
    position = json['position'];
    createdAt = json['created_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['logo'] = this.logo;
    data['condition_duration'] = this.conditionDuration;
    data['sort'] = this.sort;
    data['series_id'] = this.seriesId;
    data['reward_score'] = this.rewardScore;
    if (this.relateAchivements != null) {
      data['relate_achivements'] =
          this.relateAchivements.map((v) => v.toJson()).toList();
    }
    data['position'] = this.position;
    data['created_at'] = this.createdAt;
    return data;
  }
}
