
import 'package:sport/bean/comment.dart';
import 'package:sport/bean/post.dart';
import 'package:sport/bean/post_user.dart';

class Notice {
  String id;
  String userId;
  String isMessage;
  String type;
  String fromUserId;
  String subjectId;
  String commentId;
  String feedbackId;
  String rankId;
  String title;
  String content;
  String isRead;
  String createdAt;
  int createTime;
  PostUser fromUserInfo;
  Post subjectDetail;
  Comment commentDetail;

  Notice(
      {this.id,
        this.userId,
        this.isMessage,
        this.type,
        this.fromUserId,
        this.subjectId,
        this.commentId,
        this.feedbackId,
        this.rankId,
        this.title,
        this.content,
        this.isRead,
        this.createdAt,
        this.createTime,
        this.fromUserInfo,
        this.subjectDetail,
        this.commentDetail});

  Notice.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    userId = json['user_id'];
    isMessage = json['is_message'];
    type = json['type'];
    fromUserId = json['from_user_id'];
    subjectId = json['subject_id'];
    commentId = json['comment_id'];
    feedbackId = json['feedback_id'];
    rankId = json['rank_id'];
    title = json['title'];
    content = json['content'];
    isRead = json['is_read'];
    createdAt = json['created_at'];
    createTime = json['create_time'];
    fromUserInfo = json['fromUserInfo'] != null
        ? new PostUser.fromJson(json['fromUserInfo'])
        : null;
    subjectDetail = json['subjectDetail'] != null
        ? new Post.fromJson(json['subjectDetail'])
        : null;
    commentDetail = json['commentDetail'] != null
        ? new Comment.fromJson(json['commentDetail'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['user_id'] = this.userId;
    data['is_message'] = this.isMessage;
    data['type'] = this.type;
    data['from_user_id'] = this.fromUserId;
    data['subject_id'] = this.subjectId;
    data['comment_id'] = this.commentId;
    data['feedback_id'] = this.feedbackId;
    data['rank_id'] = this.rankId;
    data['content'] = this.content;
    data['is_read'] = this.isRead;
    data['created_at'] = this.createdAt;
    data['create_time'] = this.createTime;
    if (this.fromUserInfo != null) {
      data['fromUserInfo'] = this.fromUserInfo.toJson();
    }
    if (this.subjectDetail != null) {
      data['subjectDetail'] = this.subjectDetail.toJson();
    }
    if (this.commentDetail != null) {
      data['commentDetail'] = this.commentDetail.toJson();
    }
    return data;
  }
}