import 'package:flutter/material.dart';
import 'package:sport/widgets/appbar.dart';
import 'package:sport/widgets/box.dart';
import 'package:sport/widgets/image.dart';

class DeviceInfoPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _PageState();
}

class _PageState extends State<DeviceInfoPage> {
  @override
  Widget build(BuildContext context) {
    const labelPadding = const EdgeInsets.symmetric(horizontal: 12.0, vertical: 10.0);
    const contentPadding = const EdgeInsets.symmetric(horizontal: 0.0);
    return Scaffold(
        body: CustomScrollView(
      slivers: <Widget>[
        buildSliverAppBar(context, "设备详情", backgroundColor: Theme.of(context).scaffoldBackgroundColor),
        SliverToBoxAdapter(
          child: Column(crossAxisAlignment: CrossAxisAlignment.start, children: <Widget>[
            Padding(
              padding: labelPadding,
              child: Text("设置", style: Theme.of(context).textTheme.bodyText2),
            ),
            BoxWidget(
                paddingAll: false,
                body: ListView(
                    padding: EdgeInsets.all(0),
                    physics: NeverScrollableScrollPhysics(),
                    shrinkWrap: true,
                    children: ListTile.divideTiles(context: context, tiles: [
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("当前设备"),
                            Text(
                              "用户名七个字",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                        trailing: arrowRight5(),
                        onTap: () {},
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("设备状态"),
                            Text(
                              "已启用",
                              style: Theme.of(context).textTheme.bodyText2.copyWith(color: Theme.of(context).accentColor),
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("更换设备"),
                          ],
                        ),
                        contentPadding: contentPadding,
                        trailing: arrowRight5(),
                        onTap: () {},
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("设备测试"),
                          ],
                        ),
                        contentPadding: contentPadding,
                        trailing: arrowRight5(),
                        onTap: () {},
                      )
                    ]).toList())),
          ]),
        ),
        SliverToBoxAdapter(
          child: Column(crossAxisAlignment: CrossAxisAlignment.start, children: <Widget>[
            Padding(
              padding: labelPadding,
              child: Text("设备数据", style: Theme.of(context).textTheme.bodyText2),
            ),
            BoxWidget(
                paddingAll: false,
                body: ListView(
                    padding: EdgeInsets.all(0),
                    physics: NeverScrollableScrollPhysics(),
                    shrinkWrap: true,
                    children: ListTile.divideTiles(context: context, tiles: [
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("设备电量"),
                            Text(
                              "70%",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("可用时长"),
                            Text(
                              "40h",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("鞋内温度"),
                            Text(
                              "36 ℃",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("左脚压力指数"),
                            Text(
                              "000",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("右脚压力指数"),
                            Text(
                              "000",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                    ]).toList())),
          ]),
        ),
        SliverToBoxAdapter(
          child: Column(crossAxisAlignment: CrossAxisAlignment.start, children: <Widget>[
            Padding(
              padding: labelPadding,
              child: Text("基本信息", style: Theme.of(context).textTheme.bodyText2),
            ),
            BoxWidget(
                paddingAll: false,
                body: ListView(
                    padding: EdgeInsets.all(0),
                    physics: NeverScrollableScrollPhysics(),
                    shrinkWrap: true,
                    children: ListTile.divideTiles(context: context, tiles: [
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("设备型号"),
                            Text(
                              "HZ25187",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("鞋码"),
                            Text(
                              "42码",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("软件版本"),
                            Text(
                              "V1.0",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("硬件版本"),
                            Text(
                              "V1.0",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("生产编号"),
                            Text(
                              "CD-56324",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("设备功率"),
                            Text(
                              "10~20W",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                      ListTile(
                        title: Row(
                          mainAxisAlignment: MainAxisAlignment.spaceBetween,
                          children: <Widget>[
                            Text("蓝牙地址"),
                            Text(
                              "BN.XCMN.VJ",
                              style: Theme.of(context).textTheme.bodyText2,
                            )
                          ],
                        ),
                        contentPadding: contentPadding,
                      ),
                    ]).toList())),
          ]),
        )
      ],
    ));
  }
}
