import 'package:flutter/material.dart';

class PrimaryButton extends StatelessWidget {
  final VoidCallback callback;
  final String content;
  final double width;
  final double height;
  final double fontSize;

  PrimaryButton({
    @required this.callback,
    @required this.content,
    this.width = double.infinity,
    this.height = 44,
    this.fontSize = 28,
  });

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: callback,
      borderRadius: BorderRadius.all(Radius.circular(height / 2)),
      child: Container(
        width: width,
        height: height,
        alignment: Alignment.center,
        decoration: callback == null
            ? BoxDecoration(
                color: Color(0xffdcdcdc),
                shape: BoxShape.rectangle,
                borderRadius: BorderRadius.all(Radius.circular(height / 2)),
              )
            : BoxDecoration(
                shape: BoxShape.rectangle,
                borderRadius: BorderRadius.all(Radius.circular(height / 2)),
                boxShadow: [BoxShadow(offset: Offset(0.0, 3), blurRadius: 3, spreadRadius: 0, color: Color(0x82FF9100))],
                gradient: LinearGradient(
                  begin: Alignment.topCenter,
                  end: Alignment.bottomCenter,
                  colors: <Color>[Color(0xffFFC400), Color(0xffFFAA00)],
                ),
              ),
        child: Text(
          content,
          style: TextStyle(color: Colors.white, fontSize: height > 40 ? 16.0 : 14.0),
        ),
      ),
    );
  }
}
