import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:sport/widgets/button_cancel.dart';
import 'package:sport/widgets/button_primary.dart';

class CustomAlertDialog extends StatelessWidget {
  final String title;
  final Widget child;
  final String textCancel;
  final String textOk;
  final Function ok;

  CustomAlertDialog({this.title, this.child, this.textCancel = "取消", this.textOk = "确定", this.ok});

  @override
  Widget build(BuildContext context) {
    FocusScope.of(context).requestFocus(FocusNode());
    return Dialog(
      backgroundColor: Colors.transparent,
      elevation: 0,
      // shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(10)),
      child: Container(
        decoration: BoxDecoration(
          borderRadius: BorderRadius.all(Radius.circular(10.0)),
          color: Colors.white,
        ),
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: <Widget>[
            if (title != null)
              Padding(
                padding: EdgeInsets.all(child != null ? 16.0 : 32.0),
                child: Text(
                  title,
                  style: Theme.of(context).textTheme.headline1,
                ),
              ),
            if (child != null)
              ConstrainedBox(
                  constraints: BoxConstraints(maxHeight: MediaQuery.of(context).size.height / 2),
                  child: SingleChildScrollView(
                    child: child,
                  )),
            Padding(
              padding: const EdgeInsets.all(16.0),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: <Widget>[
                  Expanded(
                    child: CancelButton(
                        height: 35,
                        callback: () {
                          Navigator.of(context).pop(false);
                        },
                        content: textCancel),
                  ),
                  SizedBox(
                    width: 16,
                  ),
                  Expanded(
                    child: PrimaryButton(height: 35, callback: ok, content: textOk),
                  )
                ],
              ),
            )
          ],
        ),
      ),
    );
  }
}
