import 'package:flutter/material.dart';

Future showActionDialog(BuildContext context, Map<String, Function> actions) {
  return showModalBottomSheet(
      context: context,
      isScrollControlled: true,
      shape: RoundedRectangleBorder(borderRadius: BorderRadius.vertical(top: Radius.circular(10))),
      builder: (BuildContext context) {
        return SingleChildScrollView(
          child: Padding(
              padding: const EdgeInsets.all(12.0),
              child: SafeArea(
                child: Column(children: <Widget>[
                  Column(
                    children: actions.keys
                        .map((key) => InkWell(
                            onTap: () {
                              actions[key].call();
                              Navigator.maybePop(context);
                            },
                            child: Padding(
                              padding: const EdgeInsets.symmetric(horizontal: 32, vertical: 8),
                              child: Text("$key", style: Theme.of(context).textTheme.subtitle1),
                            )))
                        .toList(),
                  ),
                  Divider(
                    indent: 50,
                    endIndent: 50,
                  ),
                  InkWell(
                      onTap: () => Navigator.maybePop(context),
                      child: Padding(
                        padding: const EdgeInsets.symmetric(horizontal: 32, vertical: 8),
                        child: Text("取消", style: Theme.of(context).textTheme.subtitle1),
                      ))
                ]),
              )),
        );
      });
}
